﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;

namespace sl_Chart_530038_2
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            var data = this.GetData();

            this.radChart1.SamplingSettings.SamplingThreshold = 10;
            this.radChart1.SeriesMappings.Add(new SeriesMapping());
            this.radChart1.SeriesMappings[0].ItemMappings.Add(new ItemMapping("Date", DataPointMember.XCategory));
            this.radChart1.SeriesMappings[0].ItemMappings.Add(new ItemMapping("YVal", DataPointMember.YValue));
            this.radChart1.SeriesMappings[0].ItemsSource = data;
        }

        private List<PlotInfo> GetData()
        {
            List<PlotInfo> data = new List<PlotInfo>();

            for (int i = 0; i < 567; i++)
            {
                data.Add(new PlotInfo { Date = new DateTime(2012, 10, 25).AddDays(i), YVal = i % 10, });
            }

            return data;
        }
    }

    public class PlotInfo
    {
        public DateTime Date { get; set; }
        public double YVal { get; set; }
    }
}
